Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class Version

    java.lang.Object
      com.icl.saxon.Version

public class Version
extends java.lang.Object

The Version class holds the SAXON version information.

Field Summary
`static java.lang.String` | `javaVersion`
`static boolean` | `preJDK12`

Constructor Summary
`Version()`

Method Summary
`static java.lang.String` | `getProductName()`
`static java.lang.String` | `getVersion()`
`static java.lang.String` | `getWebSiteAddress()`
`static double` | `getXSLVersion()`
`static java.lang.String` | `getXSLVersionString()`
`static boolean` | `isPreJDK12()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### javaVersion

    public static java.lang.String javaVersion

### preJDK12

    public static boolean preJDK12

Constructor Detail

### Version

    public Version()

Method Detail

### isPreJDK12

    public static final boolean isPreJDK12()

### getVersion

    public static final java.lang.String getVersion()

### getXSLVersion

    public static final double getXSLVersion()

### getXSLVersionString

    public static final java.lang.String getXSLVersionString()

### getProductName

    public static java.lang.String getProductName()

### getWebSiteAddress

    public static java.lang.String getWebSiteAddress()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD